Bug 166572 - [css-ui] Implement caret-color support
Summary: [css-ui] Implement caret-color support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar, WebExposed
Depends on: 175294
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-29 04:40 PST by Manuel Rego Casasnovas
Modified: 2017-08-14 12:28 PDT (History)
6 users (show)

See Also:


Attachments
Patch and layout tests (38.11 KB, patch)
2017-08-10 12:41 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch and layout tests (41.41 KB, patch)
2017-08-10 15:10 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (1.57 MB, application/zip)
2017-08-10 16:29 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-elcapitan (2.01 MB, application/zip)
2017-08-10 16:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (1.40 MB, application/zip)
2017-08-10 16:48 PDT, Build Bot
no flags Details
Patch and layout tests (54.53 KB, patch)
2017-08-10 17:16 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (1.18 MB, application/zip)
2017-08-10 18:32 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-elcapitan (1.86 MB, application/zip)
2017-08-10 19:05 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (10.30 MB, application/zip)
2017-08-10 19:29 PDT, Build Bot
no flags Details
Patch and layout tests (91.56 KB, patch)
2017-08-10 20:26 PDT, Daniel Bates
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2016-12-29 04:40:36 PST
"caret-color" has just been implemented on Chromium and Firefox. It'd be really nice if WebKit can support it too.

The spec is CR: https://www.w3.org/TR/css-ui-3/#caret-color

And there are already 21 tests on the W3C csswg-test repo: http://test.csswg.org/shepherd/search/testcase/spec/css-ui-3/section/6.2.1/
Comment 1 Manuel Rego Casasnovas 2017-08-08 02:03:33 PDT
Note that some related stuff was discussed in the past in bug #44862.
Probably it'd be worth to review the comments there, just in case they still apply.
Comment 2 Daniel Bates 2017-08-09 13:32:23 PDT
(In reply to Manuel Rego Casasnovas from comment #1)
> Note that some related stuff was discussed in the past in bug #44862.
> Probably it'd be worth to review the comments there, just in case they still
> apply.

The comments in that bug do not seem applicable to page that explicitly specifies CSS property caret-color. The comments seem applicable to a page that does not explicitly specify CSS property caret-color.
Comment 3 Daniel Bates 2017-08-10 12:41:42 PDT
Created attachment 317833 [details]
Patch and layout tests
Comment 4 Daniel Bates 2017-08-10 15:10:29 PDT
Created attachment 317860 [details]
Patch and layout tests
Comment 5 Build Bot 2017-08-10 16:29:00 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2017-08-10 16:29:01 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2017-08-10 16:43:34 PDT Comment hidden (obsolete)
Comment 8 Build Bot 2017-08-10 16:43:35 PDT Comment hidden (obsolete)
Comment 9 Build Bot 2017-08-10 16:48:21 PDT Comment hidden (obsolete)
Comment 10 Build Bot 2017-08-10 16:48:22 PDT Comment hidden (obsolete)
Comment 11 Daniel Bates 2017-08-10 17:16:40 PDT
Created attachment 317891 [details]
Patch and layout tests
Comment 12 Build Bot 2017-08-10 18:32:54 PDT Comment hidden (obsolete)
Comment 13 Build Bot 2017-08-10 18:32:55 PDT Comment hidden (obsolete)
Comment 14 Build Bot 2017-08-10 19:05:33 PDT Comment hidden (obsolete)
Comment 15 Build Bot 2017-08-10 19:05:35 PDT Comment hidden (obsolete)
Comment 16 Build Bot 2017-08-10 19:29:11 PDT Comment hidden (obsolete)
Comment 17 Build Bot 2017-08-10 19:29:13 PDT Comment hidden (obsolete)
Comment 18 Daniel Bates 2017-08-10 20:26:32 PDT
Created attachment 317909 [details]
Patch and layout tests
Comment 19 Daniel Bates 2017-08-10 21:24:57 PDT
Comment on attachment 317909 [details]
Patch and layout tests

I will land updated expected results for iOS WebKitLegacy and GTK bots after landing this patch as we do not have an iOS WebKit1 EWS bot or a GTK bot that runs layout tests. If I have a moment, I will look to build for iOS.
Comment 20 Dave Hyatt 2017-08-11 10:58:23 PDT
Comment on attachment 317909 [details]
Patch and layout tests

r=me, my spider sense is tingling over that disappears into background stuff. I worry there's some kind of attack possible there to detect a link is in history.
Comment 21 Radar WebKit Bug Importer 2017-08-11 11:39:59 PDT
<rdar://problem/33852589>
Comment 22 Daniel Bates 2017-08-14 10:29:44 PDT
Committed r220706: <http://trac.webkit.org/changeset/220706>
Comment 23 Daniel Bates 2017-08-14 12:28:59 PDT
Committed updated GTK expected results in <http://trac.webkit.org/changeset/220714>.